
Hedera.Connections = new Class({
	Extends: Hedera.Form
	
	,_timeoutId: null

	,onModelStatusChange: function() {
		if (!this.$.sessions.ready)
			return;

		if (this._timeoutId)
			clearTimeout(this._timeoutId);
			
		this._timeoutId = setTimeout(
			() => this.$.sessions.refresh(), 60000);
	}
	
	,deactivate: function() {
		clearTimeout(this._timeoutId);
	}

	,onChangeUserClick: function(userName) {
		this.gui.supplantUser(userName,
			this._onUserSupplant.bind(this));
	}
	
	,_onUserSupplant: function() {
		this.hash.setAll({form: 'ecomerce/orders'});
	}
	
	,sessionsFunc: function() {
		return 1;
	}
});

